Biblio::SICI::ControlSegment(3pm)

NAME
Biblio::SICI::ControlSegment - The control segment of a SICI

VERSION
version 0.04

SYNOPSIS
  my $sici = Biblio::SICI->new();

  $sici->control->csi(2);

DESCRIPTION
Please note: You are expected to not directly instantiate objects of this class!

The control segment of a SICI describes various aspects of the thing referenced by the SICI using pre-defined codes. The segment also contains some meta-information about the SICI itself.

ATTRIBUTES
For each attribute, clearer ("clear_") and predicate ("has_") methods are provided.

"dpi"
    The Derivative Part Identifier tells us, what kind of thing is described by the SICI. It can take one of four different values:

    0 => SICI describes Serial Item or Contribution itself 1 => SICI describes ToC of Serial Item or Contribution 2 => SICI describes Index of Serial Item or Contribution 3 => SICI describes Abstract of Serial Item or Contribution

    The default value is 0.

"mfi"
    The Medium / Format Identifier can take one of these codes:

    CD => Computer-readable optical media (CD-ROM) CF => Computer-readable magnetic disk media CO => Online (remote) CT => Computer-readable magnetic tape media HD => Microfilm HE => Microfiche SC => Sound recording TB => Braille TH => Printed text, hardbound TL => Printed text, looseleaf TS => Printed text, softcover TX => Printed text VX => Video recording ZN => Multiple physical forms ZU => Physical form unknown ZZ => Other physical form

    The default value is ZU.

"version"
    The number of the standards version to which the SICI should adhere. The default is 2 (which means Z39.56-1996), since that is also the only currently supported version.

METHODS

"csi"
    The Code Structure Identifier tells something about which parts of the SICI carry values. It can take one of three values:

    1 => SICI for Serial Item 2 => SICI for Serial Contribution 3 => SICI for Serial Contribution "with obscure numbering"

    This method automatically derives the correct value from the presence of the respective data elements in the item and contribution segments. If no data is present in the contribution segment the final default is 1.

STRING "to_string"()
    Returns a stringified representation of the data in the control segment.

    Please note that the check digit is not considered to be a part of the control segment (but the "-" preceding it in the SICI string is).

"reset"()
    Resets all attributes to their default values.

BOOL "is_valid"()
    Checks if the data for the control segment conforms to the standard.

SEE ALSO
Biblio::SICI::Role::ValidSegment

AUTHOR
Heiko Jansen <hjansen@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2014 by Heiko Jansen.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.